#ifndef _FLASH_CONFIG_H_
#define _FLASH_CONFIG_H_
#include <stdint.h>

typedef struct
{
    uint16_t can_id;
    uint8_t sensorDir; // 0: 正常，1: 反转
    uint8_t debugFlag; // 0: 无调试信息，1: 输出调试信息
    uint16_t crc;   // 可选，简单校验
} FlashConfig_t;

FlashConfig_t *Flash_ReadConfig(void);
void Flash_WriteConfig(FlashConfig_t *cfg);

#endif /* _FLASH_CONFIG_H_ */
